Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class BlockingGetTaskResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
              org.jbpm.task.service.responsehandlers.BlockingGetTaskResponseHandler

All Implemented Interfaces:
  ResponseHandler, TaskClientHandler.GetTaskResponseHandler

    public class BlockingGetTaskResponseHandler

extends AbstractBlockingResponseHandler
implements TaskClientHandler.GetTaskResponseHandler

Constructor Summary
`BlockingGetTaskResponseHandler()`

Method Summary
`void` | `execute(Task task)`
`Task` | `getTask()`
`Task` | `getTask(int taskWaitTime)`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
`waitTillDone`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.task.service.ResponseHandler
`setError`

Constructor Detail

### BlockingGetTaskResponseHandler

    public BlockingGetTaskResponseHandler()

Method Detail

### execute

    public void execute(Task task)

  Specified by:
    `execute` in interface `TaskClientHandler.GetTaskResponseHandler`

### getTask

    public Task getTask()

### getTask

    public Task getTask(int taskWaitTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.